org.jgroups.protocols

## Class TP.DiagnosticsHandler

- java.lang.Object
- - org.jgroups.protocols.TP.DiagnosticsHandler

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  TP

    protected class TP.DiagnosticsHandler
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`static java.lang.String` `THREAD_NAME`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### THREAD_NAME

    public static final java.lang.String THREAD_NAME

See Also:
  Constant Field Values

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`